<?php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

if(SMF == 'SSI' && !$user_info['is_admin'])
	die('Admin priveleges required.');

if(SMF == 'SSI' && isset($modSettings['integrate_bbc_buttons']) && strpos($modSettings['integrate_bbc_buttons'], 'addLiButton') !== false)
	$context['uninstalling'] = true;

$hooks = array(
	'integrate_theme_include' => '$sourcedir/Subs-liButton.php',
	'integrate_bbc_buttons' => 'addLiButton',
);

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

foreach ($hooks as $hook => $function)
	$call($hook, $function);

if(SMF == 'SSI')
{
	if (!empty($context['uninstalling']))
		echo 'The integration hooks for the Add [li] Button mod have been successfully removed.';
	else
		echo 'The integration hooks for the Add [li] Button mod have been successfully added.';

	echo '<br /><br />Do not forget to remove this file when finished.';
}

?>
